complexType "FxSwap"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*, embeddedOptionType[0..2])?, nearLeg?, farLeg?
</...>

Content Model Elements (8):

  assetClass (defined in Product.model group), embeddedOptionType, farLeg, nearLeg, | primaryAssetClass (defined in Product.model group), productId (defined in Product.model group), productType (defined in Product.model group), secondaryAssetClass (defined in Product.model group)

All Direct / Indirect Based Elements (1):

  fxSwap

Known Usage Locations

- As direct type of elements (1):
  fxSwap

Annotation
A type defining either a spot/forward or forward/forward FX swap transaction.
Type Definition Detail

Type Derivation Tree Product (extension) FxSwap

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FxSwap"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="nearLeg" type="FxSwapLeg"/> <xsd:element minOccurs="0" name="farLeg" type="FxSwapLeg"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/8)
farLeg

  Type: | FxSwapLeg, complex content

  The FX transaction with the latest value date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="farLeg" type="FxSwapLeg"/>

nearLeg

  Type: | FxSwapLeg, complex content

  The FX transaction with the earliest value date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nearLeg" type="FxSwapLeg"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.